org.springframework.web.reactive.function.server

## Interface RenderingResponse.Builder

Enclosing interface:
  RenderingResponse

    public static interface RenderingResponse.Builder

Defines a builder for `RenderingResponse`.

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<RenderingResponse>` `build()` Build the response.
`RenderingResponse.Builder` `cookie(org.springframework.http.ResponseCookie cookie)` Add the given cookie to the response.
`RenderingResponse.Builder` `cookies(Consumer<org.springframework.util.MultiValueMap<String,org.springframework.http.ResponseCookie>> cookiesConsumer)` Manipulate this response's cookies with the given consumer.
`RenderingResponse.Builder` `header(String headerName, String... headerValues)` Add the given header value(s) under the given name.
`RenderingResponse.Builder` `headers(org.springframework.http.HttpHeaders headers)` Copy the given headers into the entity's headers map.
`RenderingResponse.Builder` `modelAttribute(Object attribute)` Add the supplied attribute to the model using a generated name.
`RenderingResponse.Builder` `modelAttribute(String name, Object value)` Add the supplied attribute value under the supplied name.
`RenderingResponse.Builder` `modelAttributes(Collection<?> attributes)` Copy all attributes in the supplied `Collection` into the model, using attribute name generation for each element.
`RenderingResponse.Builder` `modelAttributes(Map<String,?> attributes)` Copy all attributes in the supplied `Map` into the model.
`RenderingResponse.Builder` `modelAttributes(Object... attributes)` Copy all attributes in the supplied array into the model, using attribute name generation for each element.
`RenderingResponse.Builder` `status(org.springframework.http.HttpStatus status)` Set the HTTP status.
`RenderingResponse.Builder` `status(int status)` Set the HTTP status.

### Method Detail

#### modelAttribute

    RenderingResponse.Builder modelAttribute(Object attribute)

Add the supplied attribute to the model using a generated name.

Note: Empty `Collections` are not added to the model when using this method because we cannot correctly determine the true convention name. View code should check for `null` rather than for empty collections.

Parameters:
  `attribute` - the model attribute value (never `null`)

#### modelAttribute

    RenderingResponse.Builder modelAttribute(String name,
                                             @Nullable
                                             Object value)

Add the supplied attribute value under the supplied name.

Parameters:
  `name` - the name of the model attribute (never `null`)
  `value` - the model attribute value (can be `null`)

#### modelAttributes

    RenderingResponse.Builder modelAttributes(Object... attributes)

Copy all attributes in the supplied array into the model, using attribute name generation for each element.

See Also:
  `modelAttribute(Object)`

#### modelAttributes

    RenderingResponse.Builder modelAttributes(Collection<?> attributes)

Copy all attributes in the supplied `Collection` into the model, using attribute name generation for each element.

See Also:
  `modelAttribute(Object)`

#### modelAttributes

    RenderingResponse.Builder modelAttributes(Map<String,?> attributes)

Copy all attributes in the supplied `Map` into the model.

See Also:
  `modelAttribute(String, Object)`

#### header

    RenderingResponse.Builder header(String headerName,
                                     String... headerValues)

Add the given header value(s) under the given name.

Parameters:
  `headerName` - the header name
  `headerValues` - the header value(s)
Returns:
  this builder
See Also:
  `HttpHeaders.add(String, String)`

#### headers

    RenderingResponse.Builder headers(org.springframework.http.HttpHeaders headers)

Copy the given headers into the entity's headers map.

Parameters:
  `headers` - the existing HttpHeaders to copy from
Returns:
  this builder
See Also:
  `HttpHeaders.add(String, String)`

#### status

    RenderingResponse.Builder status(org.springframework.http.HttpStatus status)

Set the HTTP status.

Parameters:
  `status` - the response status
Returns:
  this builder

#### status

    RenderingResponse.Builder status(int status)

Set the HTTP status.

Parameters:
  `status` - the response status
Returns:
  this builder
Since:
  5.0.3

#### cookie

    RenderingResponse.Builder cookie(org.springframework.http.ResponseCookie cookie)

Add the given cookie to the response.

Parameters:
  `cookie` - the cookie to add
Returns:
  this builder

#### cookies

    RenderingResponse.Builder cookies(Consumer<org.springframework.util.MultiValueMap<String,org.springframework.http.ResponseCookie>> cookiesConsumer)

Manipulate this response's cookies with the given consumer. The cookies provided to the consumer are "live", so that the consumer can be used to overwrite existing cookies, remove cookies, or use any of the other `MultiValueMap` methods.

Parameters:
  `cookiesConsumer` - a function that consumes the cookies
Returns:
  this builder

#### build

    reactor.core.publisher.Mono<RenderingResponse> build()

Build the response.

Returns:
  the built response